Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | List of all members
ezpSearchEngine Interface Reference

## Public Member Functions
| needCommit ()
| needRemoveWithUpdate ()
| addObject ( $contentObject, $commit=true)
| removeObject ( $contentObject, $commit=null)
| removeObjectById ( $contentObjectId, $commit=null)
| search ( $searchText, $params=array(), $searchTypes=array())
| supportedSearchTypes ()
| commit ()

## Detailed Description

Definition at line 18 of file ezpsearchengine.php.

## Member Function Documentation

## ◆ addObject()

ezpSearchEngine::addObject | ( |  | $contentObject,
|  |  | $commit = `true`
| ) |  |

Adds object $contentObject to the search database.

Parameters

  eZContentObject | $contentObject | Object to add to search engine
  bool | $commit | Whether to commit after adding the object

Returns
  bool True if the operation succeed.

## ◆ commit()

ezpSearchEngine::commit | ( |  | ) |

Commit the changes made to the search engine.

See also
  needCommit()

## ◆ needCommit()

ezpSearchEngine::needCommit | ( |  | ) |

Whether a commit operation is required after adding/removing objects.

See also
  commit()

Returns
  bool

## ◆ needRemoveWithUpdate()

ezpSearchEngine::needRemoveWithUpdate | ( |  | ) |

Whether calling removeObject() is required when updating an object.

See also
  removeObject()

Returns
  bool

## ◆ removeObject()

ezpSearchEngine::removeObject | ( |  | $contentObject,
|  |  | $commit = `null`
| ) |  |

Removes object $contentObject from the search database.

Deprecated:
  Since 5.0, use removeObjectById()

Parameters

  eZContentObject | $contentObject | the content object to remove
  bool | $commit | Whether to commit after removing the object

Returns
  bool True if the operation succeed.

## ◆ removeObjectById()

ezpSearchEngine::removeObjectById | ( |  | $contentObjectId,
|  |  | $commit = `null`
| ) |  |

Removes a content object by Id from the search database.

Since
  5.0

Parameters

  int | $contentObjectId | The content object to remove by id
  bool | $commit | Whether to commit after removing the object

Returns
  bool True if the operation succeed.

## ◆ search()

ezpSearchEngine::search | ( |  | $searchText,
|  |  | $params = `array()`,
|  |  | $searchTypes = `array()`
| ) |  |

Searches $searchText in the search database.

See also
  supportedSearchTypes()

Parameters

  string | $searchText | Search term
  array | $params | Search parameters
  array | $searchTypes | Search types

## ◆ supportedSearchTypes()

ezpSearchEngine::supportedSearchTypes | ( |  | ) |

Returns an array describing the supported search types by the search engine.

See also
  search()

Returns
  array

The documentation for this interface was generated from the following file:

- ezpsearchengine.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.